Skip to main content
GET
/
tokens
/
search
Search for tokens based on contract address, pair address, token name or token symbol.
curl --request GET \
  --url https://deep-index.moralis.io/api/v2.2/tokens/search \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://deep-index.moralis.io/api/v2.2/tokens/search"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://deep-index.moralis.io/api/v2.2/tokens/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "total": 10000,
  "result": [
    {
      "tokenAddress": "0x6982508145454ce325ddbe47a25d4ec3d2311933",
      "chainId": "0x1",
      "name": "Pepe",
      "symbol": "PEPE",
      "blockNumber": 17046105,
      "blockTimestamp": 1681483883,
      "usdPrice": 0.000024509478199144,
      "marketCap": 9825629287.860994,
      "experiencedNetBuyers": {
        "oneHour": 31,
        "oneDay": 51,
        "oneWeek": 77
      },
      "netVolumeUsd": {
        "oneHour": 188552.0639107914,
        "oneDay": 1188552.0639107914
      },
      "liquidityChangeUSD": {
        "oneHour": -287308.4496394396,
        "oneDay": -387308.4496394396
      },
      "usdPricePercentChange": {
        "oneHour": 1.079210724244654,
        "oneDay": 2.079210724244654
      },
      "volumeUsd": {
        "oneHour": 188552.0639107914,
        "oneDay": 76927981.5281831
      },
      "securityScore": 92,
      "logo": "https://adds-token-info-29a861f.s3.eu-central-1.amazonaws.com/marketing/evm/0x6982508145454ce325ddbe47a25d4ec3d2311933_icon.png",
      "isVerifiedContract": false,
      "fullyDilutedValuation": 71242582.97741453,
      "totalHolders": 18908,
      "totalLiquidityUsd": 18908.234,
      "implementations": [
        {
          "chainId": "0x1",
          "address": "0x6982508145454ce325ddbe47a25d4ec3d2311933",
          "chain": "eth",
          "chainName": "Ethereum"
        }
      ]
    }
  ]
}

Authorizations

X-API-Key
string
header
default:test
required

Query Parameters

chains
string

The chains to query

query
string
required

The query to search

Example:

"pepe"

limit
number

The desired page size of the result.

isVerifiedContract
boolean
default:false

True to include only verified contracts

sortBy
enum<string>
default:volume1hDesc

Sort by volume1hDesc, volume24hDesc, liquidityDesc, marketCapDesc

Available options:
volume1hDesc,
volume24hDesc,
liquidityDesc,
marketCapDesc
Example:

"volume1hDesc"

boostVerifiedContracts
boolean
default:true

True to boost verified contracts

Response

200 - application/json

Returns the search results

total
integer
Example:

10000

result
object[]